Apache Tomcat 6.0.53

## org.apache.catalina.core
Class JasperListener

    java.lang.Object
      org.apache.catalina.core.JasperListener

All Implemented Interfaces:
  LifecycleListener

    public class JasperListener

extends java.lang.Object
implements LifecycleListener

This listener is designed to initialize Jasper before any web applications are started.

Since:
  4.1
Author:
  Remy Maucherat

Field Summary
`protected StringManager` | `sm` The string manager for this package.

Constructor Summary
`JasperListener()`

Method Summary
`void` | `lifecycleEvent(LifecycleEvent event)` Primary entry point for startup and shutdown events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sm

    protected StringManager sm

  The string manager for this package.

Constructor Detail

### JasperListener

    public JasperListener()

Method Detail

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Primary entry point for startup and shutdown events.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - The event that has occurred

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.